/*-=-=-=-=-=-=-=-=-=-=-=- RCCL/RCI Notice of Copyright -=-=-=-=-=-=-=-=-=-=-*
 *									    *
 *	Copyright (C) 1987, 1991 by John E. Lloyd.			    *
 *									    *
 *	Information on copyright permissions, as well as a complete	    *
 *	disclaimer of warranty, is given in the file COPYRIGHT.		    *
 *									    *
 *-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=*/

#include "../h/cdefs.h"
#include "../h/robot_jls.h"

scara_jls (jls)
JLS *jls;
{
	extern scara_angleToEncoder();
	extern scara_encoderToAngle();
	extern scara_jointToEncoder();
	extern scara_encoderToJoint();
	extern scara_jtorqueToMtorque();
	extern scara_mtorqueToJtorque();

	jls->angleToEncoder = scara_angleToEncoder;
	jls->encoderToAngle = scara_encoderToAngle;
	jls->jointToEncoder = scara_jointToEncoder;
	jls->encoderToJoint = scara_encoderToJoint;
	jls->mtorqueToJtorque = scara_mtorqueToJtorque;
	jls->jtorqueToMtorque = scara_jtorqueToMtorque;

	return (1);
}
